Loading...
Searching...
No Matches
Gudhi::Persistence_interval_common< Filtration_type, Coefficient_field > Class Template Reference

`#include <include/gudhi/writing_persistence_to_file.h>`

## Public Member Functions

| Persistence_interval_common (Filtration_type birth, Filtration_type death)
| Persistence_interval_common (Filtration_type birth, Filtration_type death, unsigned dim)
| Persistence_interval_common (Filtration_type birth, Filtration_type death, unsigned dim, Coefficient_field field)
bool | operator== (const Persistence_interval_common &i2) const
bool | operator!= (const Persistence_interval_common &i2) const
bool | operator< (const Persistence_interval_common &i2) const

## Detailed Description

template<typename Filtration_type, typename Coefficient_field>
class Gudhi::Persistence_interval_common< Filtration_type, Coefficient_field >

This is a class to store persistence intervals. Its main purpose is to exchange data in between different packages and provide unified way of writing a collection of persistence intervals to file.

Examples
  rips_correlation_matrix_persistence.cpp.

## Constructor & Destructor Documentation

## Persistence_interval_common() [1/3]

template<typename Filtration_type, typename Coefficient_field>

Gudhi::Persistence_interval_common< Filtration_type, Coefficient_field >::Persistence_interval_common | ( | Filtration_type | birth,
|  | Filtration_type | death )

inline

Constructor taking as an input birth and death of the pair.

## Persistence_interval_common() [2/3]

template<typename Filtration_type, typename Coefficient_field>

Gudhi::Persistence_interval_common< Filtration_type, Coefficient_field >::Persistence_interval_common | ( | Filtration_type | birth,
|  | Filtration_type | death,
|  | unsigned | dim )

inline

Constructor taking as an input birth, death and dimension of the pair.

## Persistence_interval_common() [3/3]

template<typename Filtration_type, typename Coefficient_field>

Gudhi::Persistence_interval_common< Filtration_type, Coefficient_field >::Persistence_interval_common | ( | Filtration_type | birth,
|  | Filtration_type | death,
|  | unsigned | dim,
|  | Coefficient_field | field )

inline

Constructor taking as an input birth, death, dimension of the pair as well as the number p such that this interval is present over Z_p field.

## Member Function Documentation

## operator!=()

template<typename Filtration_type, typename Coefficient_field>

bool Gudhi::Persistence_interval_common< Filtration_type, Coefficient_field >::operator!= | ( | const Persistence_interval_common< Filtration_type, Coefficient_field > & | i2 | ) | const

inline

Check if two persistence paris are not equal.

## operator<()

template<typename Filtration_type, typename Coefficient_field>

bool Gudhi::Persistence_interval_common< Filtration_type, Coefficient_field >::operator< | ( | const Persistence_interval_common< Filtration_type, Coefficient_field > & | i2 | ) | const

inline

Operator to compare objects of a type Persistence_interval_common. One intervals is smaller than the other if it has lower persistence. Note that this operator do not take Arith_element into account when doing comparisons.

## operator==()

template<typename Filtration_type, typename Coefficient_field>

bool Gudhi::Persistence_interval_common< Filtration_type, Coefficient_field >::operator== | ( | const Persistence_interval_common< Filtration_type, Coefficient_field > & | i2 | ) | const

inline

Operator to compare two persistence pairs. During the comparison all the fields: birth, death, dimensiona and arith_element_ are taken into account and they all have to be equal for two pairs to be equal.

The documentation for this class was generated from the following file:

- include/gudhi/writing_persistence_to_file.h